Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#1818 closed defect (fixed)

Add SMP Awareness to CPU Usage Reporting

Reported by: Joel Sherrill Owned by: Joel Sherrill
Priority: normal Milestone: 4.11
Component: unspecified Version: 4.11
Severity: normal Keywords:
Cc: jennifer.averett@…, gedare@… Blocked By:
Blocking:

Description

The CPU Usage reporting code has to account for the time since the last context switch when reporting execution time. This means it has to loop over all CPUs.
The attached patch does that.

Attachments (1)

pr1818.diff (2.5 KB) - added by Joel Sherrill on 06/15/11 at 20:21:49.
patch to cpuusageage reporting

Download all attachments as: .zip

Change History (7)

Changed on 06/15/11 at 20:21:49 by Joel Sherrill

Attachment: pr1818.diff added

patch to cpuusageage reporting

comment:1 Changed on 06/15/11 at 20:22:01 by Joel Sherrill

Cc: giddyup44@… added

comment:2 Changed on 06/15/11 at 20:22:11 by Joel Sherrill

Cc: Jennifer Averett added

comment:3 Changed on 06/16/11 at 15:24:52 by Joel Sherrill

Resolution: fixed
Status: newclosed

comment:4 Changed on 07/21/11 at 19:44:21 by Joel Sherrill

comment:5 Changed on 11/24/14 at 18:58:28 by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

comment:6 Changed on 10/10/17 at 06:35:44 by Sebastian Huber

Component: miscunspecified
Note: See TracTickets for help on using tickets.